-- ----------------------------
-- 证照目录模板表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_certificate_catalog_template`;
CREATE TABLE `mortals_xhx_certificate_catalog_template` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `siteId` bigint(20) DEFAULT NULL COMMENT '站点id',
  `catalogId` bigint(20) NOT NULL COMMENT '目录id',
  `templateName` varchar(128) DEFAULT NULL COMMENT '证照模板名称',
  `templateType` tinyint(2) DEFAULT '0' COMMENT '模板类型1普通2正本3副本',
  `templateFileName` varchar(128) DEFAULT NULL COMMENT '证照模板文件名称',
  `templateFileUrl` varchar(128) DEFAULT NULL COMMENT '证照模板文件地址',
  `formContent` text COMMENT '证照模板表单内容',
  `exampleFileUrl` varchar(128) DEFAULT NULL COMMENT '证照示例图地址',
  `status` tinyint(2) DEFAULT '1' COMMENT '证照状态，0：禁用1：启用',
  `excelFile` varchar(128) DEFAULT NULL COMMENT '批量导入模板文件地址',
  `isPdf` tinyint(2) DEFAULT '0' COMMENT '是否生成PDF，0：否1：是',
  `deviceId` bigint(20) DEFAULT NULL COMMENT '打印设备Id',
  `printerName` varchar(128) DEFAULT NULL COMMENT '打印机名称',
  `printerIp` varchar(128) DEFAULT NULL COMMENT '打印机网络地址',
  `paperSource` varchar(128) DEFAULT NULL COMMENT '打印机纸盒',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='证照目录模板';


ALTER TABLE `mortals_xhx_certificate_catalog` 
 DROP COLUMN `templateName`,
 DROP COLUMN `templateUrl`,
 DROP COLUMN `formContent`,
 DROP COLUMN `exampleUrl`,
 DROP COLUMN `excelFile`,
 DROP COLUMN `isPdf`,
 DROP COLUMN `deviceId`,
 DROP COLUMN `printerName`,
 DROP COLUMN `printerIp`,
 DROP COLUMN `paperSource`;


ALTER TABLE `mortals_xhx_apply_log`
 ADD COLUMN `templateId` bigint(20) DEFAULT NULL COMMENT '证照目录模板ID' AFTER `catalogName`,
 ADD COLUMN `templateName` varchar(128) DEFAULT NULL COMMENT '证照模板名称' AFTER `templateId`;

ALTER TABLE `mortals_xhx_print_wait_queue`
 ADD COLUMN `templateId` bigint(20) DEFAULT NULL COMMENT '证照目录模板ID' AFTER `catalogName`,
 ADD COLUMN `templateName` varchar(128) DEFAULT NULL COMMENT '证照模板名称' AFTER `templateId`;

ALTER TABLE `mortals_xhx_retain_log`
 ADD COLUMN `templateId` bigint(20) DEFAULT NULL COMMENT '证照目录模板ID' AFTER `catalogName`,
 ADD COLUMN `templateName` varchar(128) DEFAULT NULL COMMENT '证照模板名称' AFTER `templateId`;

ALTER TABLE `mortals_xhx_print_log`
 ADD COLUMN `templateId` bigint(20) DEFAULT NULL COMMENT '证照目录模板ID' AFTER `catalogName`,
 ADD COLUMN `templateName` varchar(128) DEFAULT NULL COMMENT '证照模板名称' AFTER `templateId`;

ALTER TABLE `mortals_xhx_print_catalog`
 ADD COLUMN `templateId` bigint(20) DEFAULT NULL COMMENT '证照目录模板ID' AFTER `catalogName`,
 ADD COLUMN `templateName` varchar(128) DEFAULT NULL COMMENT '证照模板名称' AFTER `templateId`;